# import the pygame module, so you can use it
import pygame
 
# define a main function
def main():
    width = 1360
    height = 720
    
    # initialize the pygame module
    pygame.init()
    clockobject = pygame.time.Clock()
    # load and set the logo
    logo = pygame.image.load("holeymoley.jpg")
    pygame.display.set_icon(logo)
    pygame.display.set_caption("minimal program")
     
    # create a surface on screen that has the size of 240 x 180
    screen = pygame.display.set_mode((width,height),pygame.RESIZABLE)
    image = pygame.image.load("DVD_logo.png")
    
    
    # define a variable to control the main loop
    running = True

    x = 0
    xvel = 1
    y = 0
    yvel = 1

    r = 85
    rvel = 1
    g = 39
    gvel = 1
    b = 243
    bvel = 1

    angle = 0
    anglevel = 1
     
    # main loop
    while running:
        clockobject.tick(120)
        
        if x + xvel + 512 > width or x + xvel < 0:
            xvel = -xvel
        if y + yvel + 180 > height or y + yvel < 0:
            yvel = -yvel
        x += xvel
        y += yvel

        if r + rvel > 255 or r + rvel < 0:
            rvel = -rvel
        if g + gvel > 255 or g + gvel < 0:
            gvel = -gvel
        if b + bvel > 255 or b + bvel < 0:
            bvel = -bvel
        r += rvel
        g += gvel
        b += bvel

        if angle + anglevel > 360:
            angle = 0
        angle += anglevel

        screen.fill((r,g,b))
        rotated_image = pygame.transform.rotate(image, angle)
        new_rect = rotated_image.get_rect(center = image.get_rect(center = (x, y)).center)
        screen.blit(rotated_image, new_rect)
        
        pygame.display.flip()
        # event handling, gets all event from the event queue
        for event in pygame.event.get():
            # only do something if the event is of type QUIT
            if event.type == pygame.QUIT:
                # change the value to False, to exit the main loop
                running = False
            elif event.type == pygame.KEYDOWN:
                if event.key == pygame.K_f:
                    pygame.display.toggle_fullscreen()
     
     
# run the main function only if this module is executed as the main script
# (if you import this as a module then nothing is executed)
if __name__=="__main__":
    # call the main function
    main()