# import the pygame module, so you can use it
import pygame
import math
 
# define a main function
def main():
    width = 1360
    height = 720
    
    # initialize the pygame module
    pygame.init()
    clockobject = pygame.time.Clock()
    # load and set the logo
    logo = pygame.image.load("holeymoley.jpg")
    pygame.display.set_icon(logo)
    pygame.display.set_caption("minimal program")
     
    # create a surface on screen that has the size of 240 x 180
    screen = pygame.display.set_mode((width,height),pygame.RESIZABLE)
    car = pygame.image.load("car.png")
    

    # font = pygame.font.Font('Roboto-Regular.ttf', 32)
    

    
    # define a variable to control the main loop
    running = True

    x = width/2
    xvel = 1
    xvelmax = 5
    y = height/2
    yvel = 1
    yvelmax = 5

    angle = 0
    anglevel = 1
    anglevelmax = 5

    lastkey = ''
     
    # main loop
    while running:
        clockobject.tick(120)
        screen.fill((255,255,255))

        my_font = pygame.font.Font('Roboto-Regular.ttf', 50)
        text_surface = my_font.render(str(anglevel) + '-' + str(xvel) + ',' + str(yvel) + ' ' + str(lastkey), False, (0, 0, 0))
        screen.blit(text_surface, (0,0))
        rotated_car = pygame.transform.rotate(car, angle)
        new_rect = rotated_car.get_rect(center = car.get_rect(center = (x, y)).midtop)
        screen.blit(rotated_car, new_rect)
        
        pygame.display.flip()
        # event handling, gets all event from the event queue
        for event in pygame.event.get():
            # only do something if the event is of type QUIT
            if event.type == pygame.QUIT:
                # change the value to False, to exit the main loop
                running = False
            elif event.type == pygame.KEYDOWN:
                if event.key == pygame.K_f:
                    pygame.display.toggle_fullscreen()

        keys = pygame.key.get_pressed()
        if keys[pygame.K_LEFT]:
            angle += anglevel
        
            
        elif keys[pygame.K_RIGHT]:
            angle -= anglevel
        
        
        
        
        if keys[pygame.K_UP]:
            lastkey = 'up'
            if xvel + 0.1 > xvelmax:
                xvel = xvelmax - 0.1
            if yvel + 0.1 > yvelmax:
                yvel = yvelmax - 0.1
            xvel += 0.1
            yvel += 0.1
        elif keys[pygame.K_DOWN]:
            lastkey = 'down'
            if xvel - 0.2 < 0:
                xvel = 0.0
            else:
                xvel -= 0.2

            if yvel - 0.2 < 0:
                yvel = 0.0
            else:
                yvel -= 0.2
        else:
            if xvel - 0.1 < 0:
                xvel = 0.0
            else:
                xvel -= 0.1

            if yvel - 0.1 < 0:
                yvel = 0.0
            else:
                yvel -= 0.1


        x += (xvel * math.sin(math.radians(angle)))
        y += (yvel * math.cos(math.radians(angle)))

        if x >= width:
            x = 0
        elif x <= 0:
            x = width
        if y >= height + 202.5:
            y = 33.75
        elif y < 33.75:
            y = height + 135

        if angle > 360:
            angle = 0
        elif angle < 0:
            angle = 360
            
     
     
# run the main function only if this module is executed as the main script
# (if you import this as a module then nothing is executed)
if __name__=="__main__":
    # call the main function
    main()